<template>
<!--  <Header v-if="store.user"/>-->
<!--  <router-view v-if="store.user"/>-->
<!--  <Auth v-else />-->

  <Header/>
  <section id="section-router-view">
    <div id="sidebar-active"></div>
    <router-view class=""/>
  </section>
</template>

<script>
import {useStore} from "vuex";
import { supabase } from "./supabase"
import Auth from "./components/Auth_OLD.vue"
import Header from "./components/Header.vue";
import {computed} from "vue";

export default {
  components: {
    Header,
    Auth,
  },

  setup() {
    const store = useStore()
    let user = computed(function () {
      return store.state.user
    });
    let profile = computed(function () {
      return store.state.profile
    });

    async function getProfile() {
      try {
        user = supabase.auth.user()
        let { data, error, status } = await supabase
          .from("profiles")
          .select(`username, avatar_url, email, updated_at`)
          .eq("id", user.id)
          .single()

        if (error && status !== 406) throw error
        if (data) {
          profile = data
        }
      } catch (error) {
        alert(error.message)
      } finally {
      }
    }
    user = supabase.auth.user()
    supabase.auth.onAuthStateChange((_, session) => {
      user = session.user
      getProfile()
    })
    return {
      // user,
    }
  },
}
</script>
<style lang="scss">
#sidebar-active {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  display: none;
  z-index: 2;
  &.active {
    display: block;
    backdrop-filter: blur(8px);
  }
}
#section-router-view.active {
  padding-top: 82px;
}
</style>
